<?php
/**
 * SM FAQ - simple faq component for Joomla! 1.5
 * @version 1.3.2
 * @package SM FAQ
 * @author SmokerMan
 * @author url http://joomla-code.ru
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 */

// No direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

class TableSmfaq extends JTable
{
	/**
	 * Primary Key
	 *
	 * @var int
	 */
	var $id = null;
	/**
	 * @var string
	 */
	var $question = null;
	/**
	 * @var mediumtext
	 */
	var $answer = null;
	/**
	 * @var tinyint(3)
	 */
	var $state = null;
	/**
	 * @var datetime
	 */
	var $created = null;
	/**
	 * @var datetime
	 */
	var $created_ans = null;
	/**
	 * @var varchar(11)
	 */
	var $created_by = null;
	/**
	 * @var varchar(100)
	 */
	var $email = null;
	/**
	 * @var tinyint(1)
	 */
	 var $published = null;
	 /**
	 * @var int
	 */
	 var $ordering = null;
	 /**
	 * @var int
	 */
	 var $catid = null;
	/**
	 * @var tinyint(1)
	 */	 
	 var $send_mail = null;
	/**
	 * @var boolean
	 */
	 var $checked_out = 0;

	/**
	 * @var time
	 */
	 var $checked_out_time = 0;
	 var $params = null;
	 var $ip = null;
	 var $userid = null;
	 var $created_ans_by = null;
	
	/**
	 * Constructor
	 *
	 * @param object Database connector object
	 */
	function TableSmfaq(& $db) {
		parent::__construct('#__smfaq', 'id', $db);
	}
	
	function bind($array, $ignore = '')
	{
        if (key_exists( 'params', $array ) && is_array( $array['params'] ))
        {
                $registry = new JRegistry();
                $registry->loadArray($array['params']);
                $array['params'] = $registry->toString();
        }
        return parent::bind($array, $ignore);
	}

}